Allow Version custom fields to be searchable
Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently, the global search does not take the values of the custom fields into account.

Can you please add this? Many thanks in advance!

History

#1 - 2021-04-22 14:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

If you check the "Searchable" checkbox in the edit page of a custom field, the values of that custom field will be searchable.

#2 - 2021-04-27 16:11 - Jan Kokert

- Status changed from Closed to Reopened

I use Redmine version 4.2 and in the edit page of the custom field, there are only two checkboxes: required and use as filter.

If I tick use as filter it is still not found in the search.

My custom field belongs to a version (in the roadmap) - maybe this is the problem.

#3 - 2021-04-27 20:21 - Marius BĂLTEANU

- Subject changed from Search within custom fields to Allow Version custom fields to be searchable

- Resolution deleted (Invalid)

Jan Kokert wrote:

My custom field belongs to a version (in the roadmap) - maybe this is the problem.

 Indeed, version custom fields are not searchable.

#4 - 2021-05-13 10:45 - Jan Kokert

Indeed, version custom fields are not searchable.

 Ok. So can someone please add this feature? This would be very nice - thanks in advance!
